#!/bin/bash
USAGE='This tool can be used for running platofrm spacific tests :
Example:
$ test
    - Just runs the core cli-tests
$ test android
    - Runs the platform specific test for android along with the core tests
$ test blackberry android only
    - Just runs the platform specific test for android and blackberry
$ test android
    - Runs the platform specific test for android along with the core tests'

ROOT="$( cd "$( dirname "$0" )" && pwd )"
echo

function parse_args {
    if [[ -z $1 ]] ; then
        node node_modules/jasmine-node/bin/jasmine-node spec/cordova-cli/ --color
        exit 0
    elif [[ $1 == "only" ]] ; then
        exit 0
    else
        if [[ -d "$ROOT/spec/platform-script/$1" ]] ; then
            echo "Platform Test for $1 :"
            node node_modules/jasmine-node/bin/jasmine-node spec/platform-script/$1/ --color
            shift
            parse_args $@
        else
            echo "Tests for platform $1 do not exist, feel free to make them if you like.
Test for $1 would go into $ROOT/spec/platform-script/$1"
        fi
    fi
}

if [[ $1 == '--help' || $1 == '-help' || $1 == 'help' || $1 == '/help' || $1 == '/?' || $1 == '-h' ]] ; then
    echo "$USAGE"
    exit 1
else 
    parse_args $@
fi

